﻿using System;
using System.Net;
using System.IO;
using System.Xml;

namespace TestClientApp
{
	class ClientApp
	{
		static void Main(string[] args)
		{
			Console.WriteLine("Invoke service using HTTP GET");
			HttpWebRequest req = (HttpWebRequest)WebRequest.Create(
				"http://simplework/wcf/example/web/basic/TestMethod?arg=test");
			HttpWebResponse res = (HttpWebResponse)req.GetResponse();
			Stream stream = res.GetResponseStream();
			XmlDocument doc = new XmlDocument();
			doc.Load(stream);
			string result = doc.FirstChild.InnerText;
			Console.WriteLine("Service Result = {0}", result);
		}
	}
}
