﻿using System;
using System.Xml;
using System.ServiceModel.Web;
using System.ServiceModel.Syndication;

namespace RssReaderApp
{
	class ClientApp
	{
		static void Main(string[] args)
		{
			Console.WriteLine("Simple RSS Reader Sample.....");

			//string url = "http://localhost/wcf/example/syndicate/rss/GetProducts";
			string url = "http://www.microsoft.com/feeds/msdn/en-us/rss.xml";
			XmlReader reader = XmlReader.Create(url);
			SyndicationFeed feed = SyndicationFeed.Load(reader);
			Console.WriteLine("RSS Feed Title : {0}", feed.Title.Text);

			foreach (SyndicationItem item in feed.Items) {
				Console.WriteLine("--------------------------------");
				Console.WriteLine("Title={0}", item.Title.Text);
				Console.WriteLine("Content={0}", item.Summary.Text);
			}
		}
	}
}
