﻿using System;
using System.Collections.Generic;
using System.Text;

namespace RemotingService
{
	//
	// 리모팅 서비스 타입
	//
	public class HelloWorldService : MarshalByRefObject
	{
		public string SayHello()
		{
			Console.WriteLine("HelloWorldService.SayHello() Invoked !!!");
			return "Hello World";
		}
	}

	//
	// 닷넷 리모팅을 위한 인터페이스
	//
	public interface IHelloWorld
	{
		string SayHello();
	}

	//
	// 리모팅 서비스 타입 #2
	//
	public class HelloWorldService2 : MarshalByRefObject, IHelloWorld
	{
		public string SayHello()
		{
			Console.WriteLine("HelloWorldService2.SayHello() Invoked !!!");
			return "Hello World";
		}
	}
}
