﻿using System;
using System.ServiceModel;

using SoapActionClient.BookStore;

namespace SoapActionClient
{
	// 응용 프로그램 엔트리 포인트 클래스
	class ClientApp
	{
		// 응용 프로그램 메인 메쏘드
		[STAThread]
		static void Main(string[] args)
		{
			Console.WriteLine("BookStore Client Application (SOAP Action sample)");

			int orderid;

			using (BookStoreClient proxy = new BookStoreClient()) {
				orderid = proxy.Order("GoPl", "999-9-999-99999-9", 2);
				Console.WriteLine("Place Order. Order ID = {0}", orderid);
				orderid =proxy.Order2("BlackPearl", "000-0-000-00000-0", 1);
				Console.WriteLine("Place Order. Order ID = {0}", orderid);
			}
		}
	}
}
