﻿using System;
using System.ServiceProcess;
using System.Windows.Forms;

namespace WindowsServiceHost
{
	static class ServiceApp
	{
		static void Main(string[] args)
		{
			ServiceBase[] ServicesToRun;
			WCFHostService svc = new WCFHostService();

			ServicesToRun = new ServiceBase[] { svc };

			if (args.Length == 1 && args[0] == "/test") {
				svc.ServiceStart();
				MessageBox.Show("Windows Service is running...", "Service Test",
					MessageBoxButtons.OK, MessageBoxIcon.Information);
				svc.ServiceStop();
			}
			else {
				ServiceBase.Run(ServicesToRun);
			}
		}
	}
}