﻿using System;
using System.ServiceModel;
using System.ServiceModel.Web;

namespace TestServiceApp
{
	[ServiceContract]
	interface ITestService
	{
		[OperationContract]
		[WebGet]
		string TestMethod(string arg);
	}

	class TestService : ITestService
	{
		public string TestMethod(string arg)
		{
			return "Echo: " + arg;
		}
	}

	class ServiceApp
	{
		static void Main(string[] args)
		{
			Console.WriteLine("WCF Web Programming Basic Test Service......");

			WebServiceHost host = new WebServiceHost(typeof(TestService),
				new Uri("http://localhost/wcf/example/web/basic"));
			host.Open();
			Console.WriteLine("The service started...Press any key to stop...");
			Console.ReadKey(true);
			host.Close();
		}
	}
}
