﻿using System;
using System.Messaging;

namespace LegacyMsmqClient
{
	class MsmqClient
	{
		static void Main(string[] args)
		{
			Console.WriteLine("Legacy MSMQ Client Sample......");

			string queuePath = "FORMATNAME:DIRECT=OS:.\\private$\\generictxqueue";
			MessageQueue queue = new MessageQueue(queuePath);

			Message msg = new Message();
			msg.Label = "OnMessage";
			msg.Body = "Hello MSMQ World !";

			queue.Send(msg, MessageQueueTransactionType.Single);
			Console.WriteLine("Sending a MSMQ message....");
		}
	}
}
