﻿using System;

using GenericsDataContractClient.Generics;

namespace GenericsDataContractClient
{
	class ClientApp
	{
		static void Main(string[] args)
		{
			Console.WriteLine("Generics Data Contract Client Example...");

			using (GenericsTestClient proxy = new GenericsTestClient()) {
				SomeTypeAOfint p1 = new SomeTypeAOfint();
				p1.Member = 11;
				int r1 = proxy.Operation1(p1);
				Console.WriteLine("Operation1 result = {0}", r1);

				SomeTypeAOfdateTime p2 = new SomeTypeAOfdateTime();
				p2.Member = DateTime.Now;
				DateTime r2 = proxy.Operation2(p2);
				Console.WriteLine("Operation2 result = {0}", r2);

				SomeTypeAOfCustomType38n0_StYr p3 = new SomeTypeAOfCustomType38n0_StYr();
				CustomType c1 = new CustomType();
				c1.a = 333;
				p3.Member = c1;
				CustomType r3 = proxy.Operation3(p3);
				Console.WriteLine("Operation3 result = {0}", r3.a);

				SomeTypeB_int p4 = new SomeTypeB_int();
				p4.Member = 44;
				int r4 = proxy.Operation4(p4);
				Console.WriteLine("Operation4 result = {0}", r4);

				SomeTypeB_dateTime p5 = new SomeTypeB_dateTime();
				p5.Member = DateTime.Now.AddHours(1);
				DateTime r5 = proxy.Operation5(p5);
				Console.WriteLine("Operation5 result = {0}", r5);

				SomeTypeB_CustomType p6 = new SomeTypeB_CustomType();
				CustomType c2 = new CustomType();
				c2.a = 666;
				p6.Member = c2;
				CustomType r6 = proxy.Operation6(p6);
				Console.WriteLine("Operation6 result = {0}", r6.a);

				SomeTypeC p7 = new SomeTypeC();
				CustomType c3 = new CustomType();
				c3.a = 777;
				p7.Member = c3;
				CustomType r7 = proxy.Operation7(p7);
				Console.WriteLine("Operation7 result = {0}", r7.a);
			}
		}
	}
}
