﻿using System;

using PerCallClientApp.PerCallService;

namespace PerCallClientApp
{
	class ClientApp
	{
		static void Main(string[] args)
		{
			Console.WriteLine("PerCall Service Client Sample......");

			// 세션을 사용하지 않는 BasicHttpBinding을 이용한 호출
			using (PerCallClient proxy = new PerCallClient("BasicHttpBinding_IPerCall")) {
				int count;
				count = proxy.TestMethod();
				Console.WriteLine("TestMethod result = {0}", count);
				count = proxy.TestMethod();
				Console.WriteLine("TestMethod result = {0}", count);
			}

			// 세션을 사용하는 NetTcpBinding을 이용한 호출
			using (PerCallClient proxy = new PerCallClient("NetTcpBinding_IPerCall")) {
				int count;
				count = proxy.TestMethod();
				Console.WriteLine("TestMethod result = {0}", count);
				count = proxy.TestMethod();
				Console.WriteLine("TestMethod result = {0}", count);
			}
		}
	}
}
