﻿using System;
using System.Collections.Generic;
using System.Windows.Forms;
using System.ServiceModel;

namespace ServiceWithUI
{
	static class Program
	{
		[STAThread]
		static void Main()
		{
			//
			// 서비스 호스트를 Application.Run 호출하기 전에(SynchronizationContext 가 만들어지기 전)
			// 작성하고 Open을 수행하면 SynchronizationContext가 존재하지 않기 때문에
			// SynchronizationContext의 영향을 전혀 받지 않는다.
			//
			//ServiceHost host = new ServiceHost(typeof(LogService),
			//    new Uri("http://localhost/wcf/example/winformhost/logservice"));
			//host.Open();

			Application.EnableVisualStyles();
			Application.SetCompatibleTextRenderingDefault(false);
			Application.Run(new ServiceUIForm());

			// 어플리케이션 종료 후 호스트를 닫는다.
			//host.Close();
		}
	}
}
